package com.nokia.financeapi.config;

import io.minio.MinioClient;
import lombok.Data;
import okhttp3.OkHttpClient;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
@ConfigurationProperties("minio")
public class MinioConfig {
    /**
     * 对象存储服务的URL
     */
    private String endpoint;

    /**
     * 存储桶
     */
    private String bucket;

    /**
     * 访问标识
     */
    private String accessKey;

    /**
     * 密钥
     */
    private String secretKey;

    /**
     * 链接默认过期时间，分钟
     */
    private Integer expiry;

    @Bean
    public MinioClient minioClient(OkHttpClient myHttpClient) {
        return MinioClient.builder()
                .endpoint(endpoint)
                .credentials(accessKey, secretKey)
                .httpClient(myHttpClient)
                .build();
    }
}
