package com.nokia.financeapi.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@NoArgsConstructor
@Data
public class GetBuildingOptionsVo {
    @Schema(description = "建筑id", example = "2019021222532737046698")
    private String buildingId;
    @Schema(description = "标准地址", example = "河北省石家庄市长安区广安大厦")
    private String address;
    @Schema(description = "地段", example = "核心商圈")
    private String areaSector;
    @Schema(description = "建筑别名", example = "广安大厦")
    private String buildingName;
    @Schema(description = "取得日期", example = "2005-04")
    private String acquisitionDate;
    @Schema(description = "建筑用途", example = "综合用房")
    private String buildingUse;
    @Schema(description = "建筑图片url")
    private String buildingImg;
    @Schema(description = "建筑面积(㎡)", example = "36069.1")
    private BigDecimal buildingArea;
    @Schema(description = "建筑面积-出租(㎡)", example = "11810")
    private BigDecimal buildingAreaRent;
    @Schema(description = "建筑面积-闲置(㎡)", example = "0")
    private BigDecimal buildingAreaIdle;
    @Schema(description = "产权年限", example = "40")
    private Integer ownershipTerm;
    @Schema(description = "维修费", example = "1221.23")
    private BigDecimal maintenanceCost;
    @Schema(description = "出租收入", example = "8000")
    private BigDecimal rentalIncome;
    @Schema(description = "经度", example = "114.53074627437987")
    private BigDecimal lng;
    @Schema(description = "纬度", example = "38.05078693947483")
    private BigDecimal lat;
}
