package com.nokia.financeapi.service.house;

import com.nokia.financeapi.common.R;
import com.nokia.financeapi.pojo.dto.GetHouseReportDto;
import com.nokia.financeapi.pojo.vo.GetHouseReportVo;
import com.nokia.financeapi.service.common.file.FileService;
import org.springframework.stereotype.Service;

@Service
public class HouseReportService {
    private final FileService fileService;

    public HouseReportService(FileService fileService) {
        this.fileService = fileService;
    }

    public R<GetHouseReportVo> getReportWord(GetHouseReportDto dto) {
        GetHouseReportVo vo = new GetHouseReportVo();
        String object = "oss/reports/house/202307.doc";
        String url = fileService.getDownloadUrl(object);
        vo.setUrl(url);
        return R.ok(vo);
    }

    public R<GetHouseReportVo> getReportPdf(GetHouseReportDto dto) {
        GetHouseReportVo vo = new GetHouseReportVo();
        String object = "oss/reports/house/202307.pdf";
        String url = fileService.getDownloadUrl(object);
        vo.setUrl(url);
        return R.ok(vo);
    }
}
